from odoo import models, fields

class HazardInventoryHistoryData(models.TransientModel):
    _name = "hazard.inventory.history.data"
    _description = "Datos Históricos de Inventario"

    wizard_id = fields.Many2one('hazard.inventory.history.wizard', string="Wizard", ondelete='cascade')
    
    location_id = fields.Many2one('stock.location', string='Ubicación', readonly=True)
    product_id = fields.Many2one('product.product', string='Producto', readonly=True)
    product_tmpl_id = fields.Many2one('product.template', string='Plantilla de Producto', readonly=True)
    categ_id = fields.Many2one('product.category', string='Categoría', readonly=True)
    quantity = fields.Float(string='Cantidad', readonly=True)
    standard_price = fields.Float(string='Costo Unitario', readonly=True)
    list_price = fields.Float(string='Precio Venta Unitario', readonly=True)
    total_cost = fields.Float(string='Costo Total', readonly=True)
    total_sale = fields.Float(string='Valor Venta Total', readonly=True)
